Subject: bug#48313: [1.3.0rc2] ‘guix describe’ prints nothing and exits with 0

From: Ludovic Courtès <[email-masked]>
Date: Sun, 09 May 2021 16:34:09 +0200

In the 1.3.0rc2 VM image, ‘guix describe’ prints nothing and exits with
0 (success).  This is with /run/current-system/profile/bin/guix.
‘strace’ shows that it parses /run/current-system/profile/manifest,
which does not contain provenance information.

“$(readlink -f $(type -P guix)) describe” prints what’s expected, with
information from (guix config).

This is a regression compared to 1.3.0rc1.

Ludo’.